package es.unican.docencia.y2012.ed.delegados;

public class Cuadrado implements ICuadrado {
	
	int x, y;
	int lado;
	
	/**
	 * Construye un nuevo cuadrado a partir de las coordenadas
	 * de su centro y la longitud de su lado 
	 * @param x La abscisa de las coordenadas del cuadrado
	 * @param y La ordenada de las coordenadfas del cuadado
	 * @param lado El lado del cuadrado
	 */
	public Cuadrado (int x, int y, int lado) {
		this.lado = lado;
		this.x 	  = x;
		this.y    = y;    
	} // Cuadrado
	
	/* (non-Javadoc) 
	 * @see es.unican.docencia.y2012.ed.delegados.ICuadrado#getLado()
	 */
	@Override
	public int getLado() {
		return lado;
	}
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICuadrado#setLado(int)
	 */
	@Override
	public void setLado(int lado) {
		this.lado = lado;
	}
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#getX()
	 */
	@Override
	public int getX() {
		return x;
	} // getX
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#setX(int)
	 */
	@Override
	public void setX(int x) {
		this.x = x;
	} // setX
	
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#getY()
	 */
	@Override
	public int getY() {
		return y;
	} // getY
	
	/* (non-Javadoc)
	 * @see es.unican.docencia.y2012.ed.delegados.ICirculo#setY(int)
	 */
	@Override
	public void setY(int y) {
		this.y = y;
	} // setY

} // Cuadrado
